# Uses of Class
org.codehaus.janino.Java.PackageMemberInterfaceDeclaration

Packages that use Java.PackageMemberInterfaceDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PackageMemberInterfaceDeclaration in org.codehaus.janino

Subclasses of Java.PackageMemberInterfaceDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.PackageMemberAnnotationTypeDeclaration`
Representation of a package member annotation type declaration, a.k.a.
Methods in org.codehaus.janino with parameters of type Java.PackageMemberInterfaceDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeDeclarationVisitor.`visitPackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration pmid)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.PackageMemberInterfaceDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.PackageMemberInterfaceDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration subject)`
`void`
AbstractTraverser.`traversePackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration pmid)`
`void`
Traverser.`traversePackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration pmid)`